added -avoid-version to LDFLAGS, plugins are not versioned
[strongswan.git] / src / charon / plugins / uci / Makefile.am
1
2 INCLUDES = -I$(top_srcdir)/src/libstrongswan -I$(top_srcdir)/src/charon
3
4 AM_CFLAGS = -rdynamic
5
6 plugin_LTLIBRARIES = libstrongswan-uci.la
7 libstrongswan_uci_la_SOURCES = \
8   uci_plugin.h uci_plugin.c uci_parser.h uci_parser.c \
9   uci_config.h uci_config.c uci_creds.h uci_creds.c \
10   uci_control.h uci_control.c
11 libstrongswan_uci_la_LDFLAGS = -module -avoid-version
12 libstrongswan_uci_la_LIBADD = -luci
13
14